Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class MimeMappingTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.MimeMappingTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, MimeMappingType<T>

    public class MimeMappingTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, MimeMappingType<T>

This class implements the `mime-mappingType` xsd type

Original Documentation:

The mime-mappingType defines a mapping between an extension
and a mime type.
Used in: web-app

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`MimeMappingTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`MimeMappingTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getExtension()` Returns the `extension` element
`java.lang.String` | `getMimeType()` Returns the `mime-type` element
`MimeMappingType<T>` | `removeExtension()` Removes the `extension` element
`MimeMappingType<T>` | `removeMimeType()` Removes the `mime-type` element
`MimeMappingType<T>` | `setExtension(java.lang.String extension)` If not already created, a new `extension` element with the given value will be created.
`MimeMappingType<T>` | `setMimeType(java.lang.String mimeType)` If not already created, a new `mime-type` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeMappingTypeImpl

    public MimeMappingTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node)

### MimeMappingTypeImpl

    public MimeMappingTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node,
                               org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setExtension

    public MimeMappingType<T> setExtension(java.lang.String extension)

  If not already created, a new `extension` element with the given value will be created. Otherwise, the existing `extension` element will be updated with the given value.

  Specified by:
    `setExtension` in interface `MimeMappingType<T>`
  Returns:
    the current instance of `MimeMappingType`

### removeExtension

    public MimeMappingType<T> removeExtension()

  Removes the `extension` element

  Specified by:
    `removeExtension` in interface `MimeMappingType<T>`
  Returns:
    the current instance of `MimeMappingType`

### getExtension

    public java.lang.String getExtension()

  Returns the `extension` element

  Specified by:
    `getExtension` in interface `MimeMappingType<T>`
  Returns:
    the node defined for the element `extension`

### setMimeType

    public MimeMappingType<T> setMimeType(java.lang.String mimeType)

  If not already created, a new `mime-type` element with the given value will be created. Otherwise, the existing `mime-type` element will be updated with the given value.

  Specified by:
    `setMimeType` in interface `MimeMappingType<T>`
  Returns:
    the current instance of `MimeMappingType`

### removeMimeType

    public MimeMappingType<T> removeMimeType()

  Removes the `mime-type` element

  Specified by:
    `removeMimeType` in interface `MimeMappingType<T>`
  Returns:
    the current instance of `MimeMappingType`

### getMimeType

    public java.lang.String getMimeType()

  Returns the `mime-type` element

  Specified by:
    `getMimeType` in interface `MimeMappingType<T>`
  Returns:
    the node defined for the element `mime-type`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD